# TODO:
# - make cgi scripts from doc as separate packages
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Filesys
%define		pnam	SmbClient
Summary:	Filesys::SmbClient - interface for access Samba filesystem
Summary(pl.UTF-8):	Filesys::SmbClient - interfejs dostępu do systemu plików Samby
Name:		perl-Filesys-SmbClient
Version:	3.2
Release:	13
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Filesys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8a4205fe748aac7f43fb2a0e8ef502b2
URL:		http://search.cpan.org/dist/Filesys-SmbClient/
Patch0:		Makefile.patch
Patch1:		samba4.patch
BuildRequires:	autoconf
BuildRequires:	libsmbclient-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautocompressdoc *.cgi

%description
Filesys::SmbClient Perl module provides interface to access routine
defined in libsmbclient.so and, using this routine, Samba filesystem.

%description -l pl.UTF-8
Moduł Perla Filesys::SmbClient stanowi interfejs dostępu do procedury
zdefiniowanej w libsmbclient.so i, za pośrednictwem tej procedury, do
systemu plików Samby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes smb2www-2.cgi smb2www.css
%dir %{perl_vendorarch}/Filesys
%{perl_vendorarch}/Filesys/*.pm
%dir %{perl_vendorarch}/auto/Filesys
%dir %{perl_vendorarch}/auto/Filesys/SmbClient
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Filesys/SmbClient/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Filesys/SmbClient/SmbClient.so
# this is NOT duplicate:
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba
#%%{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba/libauthSamba.a
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Filesys-SmbClient.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> d2f15d4
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 5f94785
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 138e3b5
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> c68d36e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 54d0e8a
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 88569f3
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 19a516d
- rebuild with perl 5.30.0
- release 8 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 6ff1ad7
- rebuild with perl 5.28.0
- release 7 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> db7e78d
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4b4c17d
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7f8a681
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 89c353a
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5eb8ca6
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 383cda3
- fix makeing Makefile and passing our CFLAGS

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 7c34928
- up to 3.2
- added fixes from debian

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 191f587
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cdf19e6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ab4a375
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9c4b755
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 46b23a6
- release 6

